php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #66396 web pages go into a javascript loop firefox 9.0.1
Submitted: 2014-01-03 09:27 UTC Modified: 2014-03-05 21:26 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:0 (0.0%)
Same OS:0 (0.0%)
From: tmlay dot 2 at cavu-software dot com Assigned: levim (profile)
Status: Wont fix Package: Website problem
PHP Version: Irrelevant OS:
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2014-01-03 09:27 UTC] tmlay dot 2 at cavu-software dot com
Description:
------------
---
From manual page: http://www.php.net/refs.basic.session
---
For virtually every page in the documentation when the page loads I have to wait 20-25 seconds. The browser then shows an unresponsive script message with the line: Script: http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js:4 . I then hit stop script and the page works fine. 

A very similar problem occurs in IE8.

This happens on every page. It has been happening since you released the new web theme (2013-11-20).

I am using php.net not a mirror
Thanks,
-Tom


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-01-03 20:18 UTC] bjori@php.net
-Type: Documentation Problem +Type: Bug -Package: Documentation problem +Package: Website problem -Assigned To: +Assigned To: levim
 [2014-01-03 20:18 UTC] bjori@php.net
Is there a way to get a backtrace to see which event is being executed?
It could be the #anchor fix, "scroll to top" script, the elephpants, ... anything really
 [2014-01-03 20:47 UTC] levim@php.net
This bug specifically states Firefox 9; in the Firefox world this is *sorely* outdated. I have confirmed that Firefox versions 23-26 on OS X work correctly. I'm not sure that we've defined which browser versions we support; if we have I am not aware of it and have working under the premise of 'modern' browsers.
 [2014-01-03 21:31 UTC] tmlay dot 2 at cavu-software dot com
I agree FF 9 is out of date and so is IE8. I do freelance software development and I find I have less forward compatibility issues than backword.

two notes: I followed the page load in the console and consistently go this message: 
[16:23:34.351] uncaught exception: [Exception... "Persistent storage maximum size reached"  code: "1014" nsresult: "0x805303f6 (NS_ERROR_DOM_QUOTA_REACHED)"  location: "http://us2.php.net/cached.php?t=1388140826&f=/js/search.js Line: 251"]

Also (it might be related) I notice that sometimes the search function can't find anything ($_SESSION, global variables, datetime object). Sometimes I have it won't work for a while during the day and then suddenly it find any of these things. This just happened again ta 4:28 EST. I mention it because I get the same Persistent Storage error message.

I realize that I am using an old browser and I appreciate the quick response. So if you want to close this I will understand.

Thanks
-Tom
 [2014-03-05 21:26 UTC] levim@php.net
-Status: Assigned +Status: Wont fix
 [2014-03-05 21:26 UTC] levim@php.net
After thinking about this a bit more I have decided to close this issue as a Won't Fix. Firefox 9.0 is really old. We may support other older browser versions such as IE 8 (undecided) but I don't think we'll support old Firefox versions.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Thu May 23 23:01:26 2019 UTC